I want to update Japanese 3DS internet browser for ninjhax

Discussion in '3DS - Flashcards & Custom Firmwares' started by caytung07, Jul 10, 2015.

  1. caytung07
    OP

    caytung07 Member

    Newcomer
    42
    11
    Apr 2, 2015
    I have a 4.4.0-4J 3DS which can't run Ninjhax. Figure out that I need to upgrade my internet browser to version -7J to -20J instead of -4J. So I install pasta cfw by msett and run it on SysNand then I uninstall Japanese browser and install tittle 0004003000008802.cia v4096. Reboot and still -4J.
    So any step above is wrong? plz show me the right way, thankyou all!
     
  2. Apache Thunder

    Apache Thunder I have cameras in your head!

    Member
    4,090
    3,993
    Oct 7, 2007
    United States
    Levelland, Texas
    v2050 is the correct browser version for 4.4. I'd recommend uninstalling the browser again and installing that version. Running a browser that is newer then what normally can exist on that version firmware could cause issues in the future with certain spiderhax homebrew/CFW.

    Also you won't see a change to the version string in system settings from just updating the browser. You also need to install the correct version of NVER for that firmware version.

    NATIVE_FIRM was not updated between 4.4 and 4.5 so it's safe to simply do a full update to 4.5 using CIAs from 3DNUS. Refer to this for what version system titles had on 4.5 on a Japan console:

    http://yls8.mtheall.com/ninupdates/titlelist.php?date=12-04-12_08-00-18&sys=ctr&reg=J&soap=1

    Also just putting 4.5.0-10 in the title field and Japan (or JPN) in the version field in 3DNUS will have it download all the CIAs you need to update to 4.5. If you use BigBlueMenu/DevMenu 6.2, it will only install the CIAs for titles that were updated between 4.4 and 4.5. ;)
     
    caytung07 likes this.
  3. zoogie

    zoogie simple pimp tool

    Member
    6,158
    7,776
    Nov 30, 2014
    United States
    Ninjhax is broken on 4.x JPN 3ds's. I have a 4.5.0-10J and I know this.
     
    caytung07 likes this.
  4. Apache Thunder

    Apache Thunder I have cameras in your head!

    Member
    4,090
    3,993
    Oct 7, 2007
    United States
    Levelland, Texas
    In that case he should use MSET to launch Pasta CFW (the limited version) or use PBT CFW (though the MSET version of Pasta is recommended) to update to 9.2 using CIAs from 3DNUS.

    Just make sure to use sysupdater to install the CIAs and NOT DevMenu. Do NOT use sysupdater while in Gateway mode. You can not use any CFW that uses firmlaunch to launch newer NATIVE_FIRM (rxMode uses firmlaunch and so does the current version of CakesFW I believe. Though I think DevMode option in rxTools doesn't use firmlaunch since I'm able to boot into other CFW while in DevMode). So you must use PBT-CFW or Pasta CFW (The mset version) to update your console. Make sure you don't check the n3DS option on 3DNUS so you can avoid downloading/installing CIAs meant only for the n3DS.

    EDIT: 9.2.0-20 is the titleid field for downloading all CIAs for 9.2 on 3DNUS. Again make sure you have correct region set on "version" field. ;)
     
  5. caytung07
    OP

    caytung07 Member

    Newcomer
    42
    11
    Apr 2, 2015
    update to 9.2J is too dangerous for me to do, may be I should try browser v2050 or update sysnand to 4.5.0-10J. I only want to test ninjhax for knowledge, nothing more :) thanks
     
  6. zoogie

    zoogie simple pimp tool

    Member
    6,158
    7,776
    Nov 30, 2014
    United States
    I agree about the 9.2 update and it's danger, but updating to 4.5.0-10J is useless.
    Maybe try an emunand update with cakes or something. (remove firmlaunch patch)